Category: Estimated time: 0.00 hour
Description

Apart from the main repository we have now, | would like to propose a testing repository, too, where we deploy unstable / testing
packages. The need was raised in AMARSI, where some of our packages will depend on packages of some partner's testing
packages/repository. But | even think, this could make sense for our core packages, maybe even all our non-release (trunk)
packages. The positive effect would be that users would have to actively decide on using testing packages and would now that they
have to be prepared for changes, API breaks, and stuff.
This would probably require slightly adapting our Cl upload policies, e. g. to push packages to

- uplaod/main/${ubuntu_release} and

- upload/testing/${ubuntu_release}

(currently just upload/${ubuntu_release})

History

#1 - 02/26/2013 11:32 AM - J. Wienke

Michael and | have talked about this some time ago and basically agreed on this. So it should just be done.

#2 - 02/26/2013 12:58 PM - Anonymous
- Status changed from Feedback to New

Very well, then!

@Michael: Could you have a look at this and propose an Cl uploading policy, that we then can batch-update on Jenkins with Jan's tools?

#3 - 04/03/2017 06:49 PM - J. Moringen
- Status changed from New to Resolved

We do this already, | think. Doesn't matter anymore if we don't.
